<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://goldInventoryReportBrowse.caption"
        focusComponent="bursaGoldWalletStatementsTable">
    <data readOnly="true">
        <collection id="bursaGoldWalletStatementsDc"
                    class="com.company.management.entity.BursaGoldWalletStatement">
            <fetchPlan extends="_base"/>
            <loader id="bursaGoldWalletStatementsDl">
                <query>
                    <![CDATA[select e from BursaGoldWalletStatement e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="bursaGoldWalletStatementsTable" spacing="true">
        <label value="msg://Bursa Gold Wallet Statement Report" stylename="bold h3"/>
        <filter id="filter"
                dataLoader="bursaGoldWalletStatementsDl">
            <properties include=".*"/>
        </filter>
        <table id="bursaGoldWalletStatementsTable"
               width="100%"
               dataContainer="bursaGoldWalletStatementsDc"
               columnControlVisible="true"
               reorderingAllowed="false"
               sortable="false"
               aggregatable="true" aggregationStyle="BOTTOM">
            <actions>
                <action id="excelExport" type="excelExport" caption="msg://Export"/>
            </actions>
            <columns>
                <column id="timestamp">
                    <formatter>
                        <date format="dd/MM/YYYY HH:mm:ss.ss"/>
                    </formatter>
                </column>
                <column id="referenceNo"/>
                <column id="description"/>
                <column id="uom"/>
                <column id="creditAmount">
                    <aggregation type="SUM"/>
                    <formatter>
                        <number format="#,###,###0.000000"/>
                    </formatter>
                </column>
                <column id="debitAmount">
                    <aggregation type="SUM"/>
                    <formatter>
                        <number format="#,###,###0.000000"/>
                    </formatter>
                </column>
                <column id="statementBalance">
                    <formatter>
                        <number format="#,###,###0.000000"/>
                    </formatter>
                </column>
            </columns>
            <simplePagination itemsPerPageVisible="true"/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="bursaGoldExportBtn" action="bursaGoldWalletStatementsTable.excelExport"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
